All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.events.discovery
Class EventBrokerDiscoveryServiceFactory

    com.sas.services.events.discovery.EventBrokerDiscoveryServiceFactory

All Implemented Interfaces:
  ServiceFactoryInterface

Deprecated. As of release 9.3, replaced by SAS Midtier Eventing Architecture.

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class EventBrokerDiscoveryServiceFactory

Factory used to manufacture an event broker discovery service.

The manufactured service will implement the following interfaces:

- `RemoteServiceInterface`
- `EventBrokerDiscoveryServiceInterface`

Since:
  1.0
See Also:
  `AbstractServiceFactory`

Constructor Summary
`EventBrokerDiscoveryServiceFactory()` Deprecated. As of release 9.2, this class is no longer being supported.

Method Summary
`static EventBrokerDiscoveryServiceInterface` | `createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)` Deprecated. As of release 9.2, this class is no longer being supported.
`RemoteServiceInterface` | `getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)` Deprecated. As of release 9.2, this class is no longer being supported.

Methods inherited from class com.sas.services.AbstractServiceFactory
`getService, getServiceProfile, isSingletonFactory`

Constructor Detail

### EventBrokerDiscoveryServiceFactory

    public EventBrokerDiscoveryServiceFactory()

  Deprecated. As of release 9.2, this class is no longer being supported.

  Constructs a default instance.

Method Detail

### getService

    public final RemoteServiceInterface getService(ServiceConfigurationInterface serviceConfiguration,
                                                   DiscoveryServiceInterface discoveryService)
                                            throws ServiceException

  Deprecated. As of release 9.2, this class is no longer being supported.

  Instantiates a new Event Broker Discovery service initialized with the specified configuration.

  Specified by:
    `getService` in interface `ServiceFactoryInterface`
  Specified by:
    `getService` in class `AbstractServiceFactory`
  Parameters:
    `serviceConfiguration` - Service configuration
    `discoveryService` - This discovery service which may be used to locate other services. A service which is discoverable must register itself with this discovery service.
  Returns:
    A service that implements `EventBrokerDiscoveryServiceInterface`.
  Throws:
    `ServiceException` - if unable to create an Event Broker Discovery service. This exception may wrap a `RemoteException`.
  See Also:
    `AbstractServiceFactory.getService(ServiceConfigurationInterface)`

### createService

    public static final EventBrokerDiscoveryServiceInterface createService(ServiceConfigurationInterface serviceConfiguration,
                                                                           DiscoveryServiceInterface discoveryService)
                                                                    throws ServiceException

  Deprecated. As of release 9.2, this class is no longer being supported.

  Instantiates a new Event Broker Discovery service initialized with the specified configuration.

  Parameters:
    `serviceConfiguration` - Service configuration
    `discoveryService` - This discovery service which may be used to locate other services. A service which is discoverable must register itself with this discovery service.
  Returns:
    A service that implements `EventBrokerDiscoveryServiceInterface`.
  Throws:
    `ServiceException` - if unable to create an Event Broker Discovery service. This exception may wrap a `RemoteException`.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.